17 votes

Issue in Admin Panel after SUPEE Patch 8788 installation

Mage_Adminhtml_Block_Media_Uploader is deprecated on after SUPEE-8788 (and 1.9.3). Thus there are several backward incompatibility changes which breaks module using the uploader. I first thought a ...
Raphael at Digital Pianism's user avatar
7 votes

Magento 2 Conflicting component dependencies (Fooman)

Short answer in your Magento root folder run the following command composer config repositories.foomanartifacts artifact $(pwd)/vendor/fooman/packages Long answer We create a local repository for ...
Kristof at Fooman's user avatar
4 votes
Accepted

How to override core class which is already overrided by other custom module in Magento 2

Module ONE is overriding some core class, if you want to override same core class already used/override module ONE, override Module ONE class by using your module( Module Two )as below example. ...
Krishna ijjada's user avatar
4 votes

Magento 2.1.6 Conflicting components dependencies

Removing the following from composer.json worked for me also to get past this issue. }, "require-dev": { "phpunit/phpunit": "4.1.0", "squizlabs/php_codesniffer": "1.5.3", "phpmd/phpmd": "...
XM0's user avatar
  • 41
3 votes

Issue in Admin Panel after SUPEE Patch 8788 installation

adding in @Raphael answer you need to add three fixes first fix Spacename_Moduelname_Block_Adminhtml_Modulename_Edit_Tab_Images.php protected $_uploaderType = 'uploader/multiple'; public function ...
Qaisar Satti's user avatar
  • 32.5k
3 votes
Accepted

Magento 2.1.6 Conflicting components dependencies

You may see "require-dev" tag in composer.json file. Run composer install or update with --no-dev flag. This will not install developer dependency packages. composer install --no-dev OR composer ...
Oshan's user avatar
  • 1,952
3 votes

unexpected 'public' (T_PUBLIC)

There is one } to much ... replace class Ebizmarts_SagePaySuite_Helper_Payment_Data extends Ebizmarts_SagePaySuite_Helper_Payment_Data_Temp { } with class Ebizmarts_SagePaySuite_Helper_Payment_Data ...
sv3n's user avatar
  • 11.6k
2 votes

How to avoid js issue after installing new modules

First, you should make sure that you have connected only one jQuery library, because third-party modules usually connects their own jQuery library, which is not necessary. Second, if you are using ...
Mageworx's user avatar
  • 3,786
2 votes
Accepted

Magento upgrade 1.9.2.1 to 1.9.2.2 conflicts

Perhaps you missed the package Info file which is created by Magento by default when it is installed for the first time. Go to pkginfo and delete the file Mage_All_Latest.txt. Then you're all set. ...
Vicky Dev's user avatar
  • 1,992
2 votes
Accepted

Magento 1.9 Syntax error | Module conflict

"class" is missing before the class name
Fabian Schmengler's user avatar
2 votes
Accepted

unexpected 'public' (T_PUBLIC)

I had the closing curly bracket after class Ebizmarts_SagePaySuite_Helper_Payment_Data extends Ebizmarts_SagePaySuite_Helper_Payment_Data_Temp { } Deleting the } solved my issue. Now, it works fine ...
Greg's user avatar
  • 2,929
2 votes

Issue in Admin Panel after SUPEE Patch 8788 installation

Fixed - Image Upload issue after PATCH 8788 install of Magento version CE 1.7.0.2 - 1.9.2.4. I was able to fix it,Please Follow following instruction. Step >> 1: After installed security ...
Randhir Yadav's user avatar
2 votes

How to remove jQuery conflict in magento 2

Magento2 already provided jquery lib check here(\lib\web\jquery) You can use jquery function below way. require([ 'jquery', 'jquery/ui'], function($){ $(document).ready(function($) { ...
Abdul's user avatar
  • 9,702
2 votes
Accepted

Magento 2 CleverSoft theme Modules conflicting with other theme instaled on another website on the same magento Installtion

You can ask you theme vendor to provide support in this matter as you can not do anything else you have to change the whole bunch of code to setup per store view or website enabling disabling the ...
Rohit's user avatar
  • 36
2 votes

How to resolve Magento 2 dependencies while installing extension?

Solved it myself by adding the --ignore-platform-reqs to my command! composer require dhl/shipping-m2 --ignore-platform-reqs
user4095519's user avatar
1 vote

Conflict with Dotdigitalgroup and Magento\Email\Model\Template\SenderResolver / Magento2

I recommend removing via composer https://github.com/yireo/magento2-replace-all/blob/50355d3133c42ec025e289a3421854f2737af7e5/composer.json#L14-L17 "dotmailer/dotmailer-magento2-extension&...
Dominic Pixie's user avatar
1 vote

Conflict with Dotdigitalgroup and Magento\Email\Model\Template\SenderResolver / Magento2

Dotdigitalgroup modules installed by default with the Magento 2 instance. Installed directory : magento/vendor/dotmailer Three modules relate to dotdigital as follows which you can disable ...
sandip's user avatar
  • 3,954
1 vote

Solving helper rewrite conflict. Three modules conflicted on payment/data helper.

Amasty has a great tool on fixing conflicts on rewrites, and provide the code for that after Link : Go to Admin panel -> System -> Amasty Extensions -> Extensions & Notifications -> ...
Ylgen Guxholli's user avatar
1 vote

Magento 1.9.2.4 : Owl carousel not working

Proper way to work with owl-Carousel To your Enqueue your css and js files app\design\frontend\vendor\theme\layout - local.xml <action method="addItem"><type>skin_css</type&...
Ranganathan's user avatar
  • 3,220
1 vote
Accepted

isModuleOutputEnabled | Resolving module conflict

Don't use isModuleOutputEnabled(). That can return true even if the module is disabled. It checks the value in core_config_data instead of checking if the module is loaded. Use isModuleEnabled() ...
Joe's user avatar
  • 466
1 vote
Accepted

Helper Conflict after update of module

Please try extending your helper class in app/code/local/Ebizmarts/SagePaySuite/Helper/Payment/Data.php to class Ebizmarts_SagePaySuite_Helper_Payment_Data extends ...
Ricky Odin Matthews's user avatar
1 vote

Helper Conflict after update of module

I have checked that Ebizmarts_SagePaySuite_Helper_Payment_Data class is rewritten core class. So you need to follow below steps Please copy method of Amasty_Methods_Helper_Payment_Data and put it on ...
gelanivishal's user avatar
  • 1,326
1 vote

Magento 2.1.6 Conflicting components dependencies

After two days trying different things, also worked for me the following: Removing the following from composer.json worked for me also to get past this issue. }, "require-dev": { "phpunit/...
R2d2's user avatar
  • 11
1 vote
Accepted

Magento 1x: What happens if two modules from different vendors customize a single template?

When multiple modules override a same file, Magento usually takes the one which comes first alphabetically according to Namespace_Modulename The modules are collected in the following order: ...
Vishwas Bhatnagar's user avatar
1 vote

jQuery conflict in owlcarousel

If you use a variable $k, then all of your jQuery calls would be with that object. You can use below example of code. You have to modify according your requirements: <script type="text/javascript"...
Deep Zalavadiya's user avatar
1 vote
Accepted

jQuery conflict in owlcarousel

You can add local copy of jquery after following line[skin/frontend/yourpackage/yourtheme/js/jquery.min.js] <action method="addJs"><script>mage/translate.js</script></action> <action ...
Sohel Rana's user avatar
  • 35.7k
1 vote

Rewrite conflict

To identify the other module rewriting the class, I recommend doing a search in your project files for the class identifier node, <catalog_product_attribute_edit_tab>. If that brings up multiple ...
tjons's user avatar
  • 1,831
1 vote
Accepted

Jquery conflict with elastislide.js and prototype.js

If you use a variable $k, then all of your jQuery calls would be with that object. You can use below code: <script type="text/javascript"> $k = jQuery.noConflict(); $k(document).ready(function(...
Deep Zalavadiya's user avatar
1 vote

Magento upgrade 1.9.2.1 to 1.9.2.2 conflicts

Look at the top of these errors, there must be an error showing that the magento_all_lates.txt can't be deleted from /pkginfo. Try to delete that file manually. Then try again. Hope this will solve ...
Asish Hira's user avatar
  • 1,981
1 vote
Accepted

Extending Mage_Adminhtml_Block_Catalog_Product_List

UPDATE As per @Digital pointed, is there class called Mage_Adminhtml_Block_Catalog_Product_List presents? I believe there is not. Please check which class are you trying to extend. But yes, extending ...
Adarsh Khatri's user avatar

Only top scored, non community-wiki answers of a minimum length are eligible